<?php
namespace Home\Model;
use Think\Model;
class MembersModel extends Model {
     protected $_validate = array(
          // array('mem_number','require','文字标题不能为空！',1,regex,3), //默认情况下用正则进行
		// array('mem_password','require','所属栏目不能为空！',1,regex,3), 
	  // array('cate_name','','栏目名称不能重复！',0,unique,1), //默认情况下用正则进行验证验证

 );
      
	  
	  public function login(){
	  $password=$this->mem_password;
	  $info=$this->where("mem_number='$this->mem_number'")->find(); 
	  if($info['mem_number']){
		    if(MD5($password)==$info['mem_password']){
				session('name',$info['mem_name']);
				session('card',$info['mem_number']);
				return true;
				}
		  }else{
			  return false;
			  }
	 	  
	   }
   
  
	  
	  
	  
	 //封装的消息提示方法，控制器调用此方法 
	  
/*   public function show_msg($msg="", $url=""){
             @header("Content-Type:text/html;charset=utf-8");
              echo '<script type="text/javascript">';
              echo 'alert("'.$msg.'");';
              if(!empty($url)){
              echo 'location.href = "'.$url.'"';
                              }else{
                                    echo 'history.go(-1);';
                                   }
              echo '</script>';
              exit;
}

*/
   
   
   
   
   
   }